:root {
    --primary-green-color: #009A9A;
    --gelo-color: #EBEFF5;
    --bg-color: #F1F4F5;
    --light-bg-color: #F8F9FA;
    --darker-bg-color: #DCE1E5;
    --dark-blue-color: #000028;
    --grey-color: #283A41;
    --medium-dark-grey-color: #3F535C;
    --medium-grey-color: #6C757D;
    --light-grey-color: #99ABB4;
    --dark-grey-color: #07181F;
    --light-black-color: #031117;
    --yellow-color: #E1F000;
    --dark-yellow-color: #F0D800;

    --font-title: 32px;
    --font-subtitle: 16px;
    --font-form: 14px;

    --alert-grey-color: #7a7a7a;
    --alert-green-color: #28A745;
    --alert-red-color: #a72828;
    --alert-orange-color: #DFA800;
    --alert-blue-color: #17A2B8;
    --alert-purple-color: #5E17B8;

    --alert-grey-bg-color: #e9e9e9;
    --alert-green-bg-color: #DEF8E3;
    --alert-red-bg-color: #FFE2E5;
    --alert-blue-bg-color: #E6FAFF;
    --alert-orange-bg-color: #FFF6DC;
    --alert-purple-bg-color: #F2E6FF;

    --icon-form-color: #3F535C;

    /* =================================================
       CONSTANTES DE LARGURA DE COLUNAS (TABELAS)
       ================================================= */

    /* larguras fixas */
    --col-w-125: 125px;
    --col-w-135: 135px;
    --col-w-147: 147px;
    --col-w-150: 150px;

    /* mínimos */
    --col-min-125: 125px;
    --col-min-150: 150px;

    /* máximos */
    --col-max-200: 200px;
}

/*FOOTER*/
.footer-copy {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.copyright {
    margin-top: 3px;
    margin-right: 8px;
    font-size: 18px;
}

.footer-text {
    color: var(--light-grey-color);
    margin-left: 4px;
}

.highlight {
    color: var(--yellow-color);
    font-weight: bold;
}

/*ALERTS*/
.alert {
    width: 40%;
    min-height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    left: 30%;
    font-size: var(--font-form);
    font-weight: bold;
    color: var(--dark-grey-color);
    padding: 16px;
    margin-top: 1rem;
    margin-bottom: 0;
    z-index: 10;
    position: absolute;
    border-radius: 8px;
}

.alert-content {
    display: flex;
    gap: 10px;
    align-items: center;
}

.alert-dismissible .btn-close {
    position: relative;
    padding: 0;
}

.alert-danger {
    background-color: var(--alert-red-bg-color);
    color: var(--alert-red-color);
}

.alert-success {
    background-color: var(--alert-green-bg-color);
    color: var(--alert-green-color);
}

.alert .material-icons {
    color: inherit !important;
}

.alert.alert-custom.show {
    display: flex !important;
}

/* Header styles */
.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0;
    flex-wrap: wrap;
    gap: 24px;
}

.header .header-left {
    display: flex;
    align-items: center;
}

.header h2 {
    margin: 0;
    font-family: 'Inter', sans-serif;
    font-size: 28px;
    font-weight: 700;
    line-height: 24px;
    text-align: left;
    margin-left: 20px;

}

.header-buttons {
    display: flex;
    gap: 10px;
    align-items: center;
}

.header-buttons button:hover, .button-options button:hover{
    box-shadow: rgba(7, 24, 31, 0.5) 0 2px 8px 0;
}

.white-button {
    background-color: white !important;
}

.white-button:hover {
    background-color: white!important;
}

.header .btn, .button-options .btn {
    padding: 8px 16px;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    font-family: 'Inter', sans-serif;
    font-size: 14px;
    font-weight: 600;
}

.header .btn-cancel {
    background-color: transparent;
    border: 1px solid #07181F;
    color: #07181F;
    align-items: center;
}

.header .btn-outlined {
    display: flex;
    justify-items: center;
    gap: 8px;
    align-items: center;
    background-color: transparent;
    border: 1px solid #ccc;
    color: var(--dark-grey-color);
}

.header .btn-add, .button-options .btn-add {
    display: flex;
    justify-items: center;
    gap: 8px;
    background-color: var(--dark-grey-color);
    color: var(--yellow-color);
    align-items: center;
}

.btn-improdutivo {
    display: flex;
    justify-items: center;
    gap: 8px;
    background-color: white;
    color: black;
    align-items: center;
}

.header .btn-primary, .button-options .btn-primary {
    display: flex;
    justify-items: center;
    gap: 8px;
    background-color: var(--primary-green-color);
    color: white;
    align-items: center;
}

.header .btn-primary:hover, .button-options .btn-primary:hover {
    background-color: #007777;
}

.header .btn-danger, .button-options .btn-danger {
    display: flex;
    justify-items: center;
    gap: 8px;
    background-color: var(--alert-red-color);
    color: white;
    align-items: center;
}

.header .btn-danger:hover, .button-options .btn-danger:hover {
    background-color: #b91c1c;
}

.header .btn-back {
    width: 28px;
    height: 28px;
    background: none;
    border: 1.5px solid var(--yellow-color);
    cursor: pointer;
    font-size: 20px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s;
    gap: 10px;
    padding: 4px;
}

.header .btn-back:hover {
    background-color: var(--yellow-color);
    color: var(--dark-grey-color);
}

.breadcrumb {
    display: flex;
    align-items: center;
    font-family: 'Inter', sans-serif;
    color: var(--medium-grey-color);

}

.breadcrumb a {
    color: var(--medium-grey-color);
    text-decoration: none;
    margin-left: 10px;
    margin-right: 10px;
    font-family: 'Inter', sans-serif;
    font-size: 12px;
    font-weight: 600;
    line-height: 14.52px;
    text-align: left;
}

.btn:focus {
    box-shadow: 0 0 0 .25rem rgba(225, 240, 0, 0.25);
}

@media (max-width: 670px) {
    .header {
        flex-direction: column;
        gap: 12px;
        justify-content: center;
    }

    .header-buttons {
        flex-wrap: wrap;
        justify-content: center;
        gap: 12px;
    }
}

.custom-popup-header {
    display: flex;
}

.login-buttons {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.divbtncancelar {
    display: flex;
    justify-content: center;
}

.divbtncancelar .btn-cancelar {
    background: transparent;
    font-weight: bold;
    color: var(--light-grey-color);
    cursor: pointer;
    text-decoration: none;
    border-radius: 50px;
    border: 1px solid var(--medium-dark-grey-color);
    height: 45px;
    width: 100%;
    text-align: center;
    padding: 12px;
}

.divbtncancelar .btn-cancelar:hover {
    background-color: var(--medium-dark-grey-color);
}

.paginacao-info {
    display: flex;
    align-items: center;
    gap: 4px;
    font-weight: 400;
}

.paginacao-info .numero {
    font-weight: 700;
}

.swal2-close {
    top: 48px; !important;
    right: 48px; !important;
    font-size: 32px; !important;
}

.swal2-close:hover {
    color: var(--alert-red-color);
}

.copy-icon {
    font-size: 14px!important;
}